package com.agileboot.codegen.service;

import java.util.Map;

/**
 * @Author cuiJiaWang
 * @Create 2025-09-24 14:31
 */
public interface IGeneratorService {
    String getTemplateConfig();

    /**
     * 根据参数生成代码
     *
     * @param options 生成参数
     * @return 生成的代码Map
     */
    Map<String, String> getResultByParams(Map<String, Object> options);

    /**
     * 根据参数和自定义模板配置生成代码
     *
     * @param options 生成参数
     * @param templateConfig 自定义模板配置
     * @return 生成的代码Map
     */
    Map<String, String> getResultByParams(Map<String, Object> options, String templateConfig);
}
